Bug 814016 - SELinux is preventing chrome from using the 'execstack' accesses on a process.
SELinux is preventing chrome from using the 'execstack' accesses on a process.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:14925af8aa219bf6aa81bb09daf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 22:31 EDT by Mikhail
Modified: 2012-04-20 10:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-20 10:55:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikhail 2012-04-18 22:31:31 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.2-1.fc17.i686.PAE
time:           Чт. 19 апр. 2012 08:31:18

description:
:SELinux is preventing chrome from using the 'execstack' accesses on a process.
:
:*****  Plugin allow_execstack (53.1 confidence) suggests  ********************
:
:If you believe that 
:None
:should not require execstack
:Then you should clear the execstack flag and see if chrome works correctly.
:Report this as a bug on None.
:You can clear the exestack flag by executing:
:Do
:execstack -c None
:
:*****  Plugin catchall_boolean (42.6 confidence) suggests  *******************
:
:If you want to allow unconfined executables to make their stack executable.  This should never, ever be necessary. Probably indicates a badly coded executable, but could indicate an attack. This executable should be reported in bugzilla
:Then you must tell SELinux about this by enabling the 'allow_execstack'boolean.
:Do
:setsebool -P allow_execstack 1
:
:*****  Plugin catchall (5.76 confidence) suggests  ***************************
:
:If you believe that chrome should be allowed execstack access on processes labeled unconfined_t by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep chrome /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
:                              023
:Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
:                              023
:Target Objects                 [ process ]
:Source                        chrome
:Source Path                   chrome
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-114.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.2-1.fc17.i686.PAE #1 SMP Fri Apr 13
:                              20:44:48 UTC 2012 i686 i686
:Alert Count                   10
:First Seen                    Чт. 19 апр. 2012 08:29:43
:Last Seen                     Чт. 19 апр. 2012 08:29:59
:Local ID                      a7db4577-7d7c-44f8-95b9-1fcf34557406
:
:Raw Audit Messages
:type=AVC msg=audit(1334802599.640:75): avc:  denied  { execstack } for  pid=2472 comm="chrome" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process
:
:
:Hash: chrome,unconfined_t,unconfined_t,process,execstack
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Mikhail 2012-04-19 01:59:40 EDT
Problems occurs when I try using Java 6u31 with Google Chrome. With Java SE 7u3 with problem is absent.
Comment 2 Daniel Walsh 2012-04-20 10:55:37 EDT
Then you need to turn on the allow_execstack boolean.

# setsebool -P allow_execstack 1
Comment 3 Daniel Walsh 2012-04-20 10:58:13 EDT
Will turn this back on for final release.

Note You need to log in before you can comment on or make changes to this bug.